
/*  header  */

.header-banner, .footer-banner  { background-color: var(--sandywarmgrey);  background-image: url("images/layout/header-light.jpg"); }
.header-container { height: 302px; max-width: 1160px; margin: 0 auto;  display: flex; flex-flow: row nowrap; }

.illustration-wrapper { width: 39.0%; display: flex; justify-content: flex-end; }
.header-illustration { width: 93%; background-repeat: no-repeat; background-position: center center;  background-image: url("images/layout/illustration.1980.png"); }

.header-wrapper { width: 61.0%; display: flex; justify-content: flex-start; }
.header-subwrapper { width: 96%; display: flex; justify-content: center; align-items: center; }
.header-group { width: fit-content; display: flex; flex-direction: column; gap: 32px; }
.header-title-group { display: flex; gap: 25px;  align-items: center; }

.header-logo { width: 89px; height: 125px; background-image: url("images/layout/logo.125.png"); background-repeat: no-repeat;  background-position: center center; }
.header-text { display: flex; flex-direction: column; row-gap: 16px;  text-decoration: none;  color: #1b1c15; }
.header-text-item { font-size: 48px; line-height: 48px; font-family: "Signika", serif; white-space: nowrap; font-weight: 600; word-spacing: 9px; display: block; color: #2a231c; }
.header-subtitle { display: flex; flex-direction: column; align-items: center; gap:12px; }
.header-subitem { width: fit-content; font-family: 'Signika', system-ui, sans-serif; font-size: 22px; line-height: 22px; color: black; word-spacing: 3px; }

@media (max-width: 1240px) {
    .header-container { height: 284px; }
    .header-illustration { background-image: url("images/layout/illustration.1240.png"); }
    .header-group { gap: 28px; }
    .header-logo { width: 83px; height: 117px; background-image: url("images/layout/logo.117.png"); }
    .header-text { row-gap: 14px; }
    .header-text-item { font-size: 46px; line-height: 46px; word-spacing: 8px; }
    .header-subitem { font-size: 21px; line-height: 22px; }
}

@media (max-width: 950px) {
    .header-container { height: 230px; }
    .header-subwrapper, .header-illustration { width: 98%; }
    .header-illustration { background-image: url("images/layout/illustration.950.png"); }
    .header-title-group { gap: 20px; }
    .header-group { gap: 20px; }
    .header-text { row-gap: 11px; }
    .header-logo { width: 68px; height: 96px; background-image: url("images/layout/logo.96.png"); }
    .header-text-item { font-size: 38px; line-height: 38px; word-spacing: 6px; }
    .header-subtitle { gap: 10px; }
    .header-subitem { font-size: 18px; line-height: 18px;  word-spacing: 2px; }
}

@media (max-width: 730px) {
    .header-container { height: 200px; }
    .illustration-wrapper { width: 38.0%; }
    .header-wrapper { width: 62.0%; }
    .header-subwrapper, .header-illustration { width: 99%; }
    .header-illustration { background-image: url("images/layout/illustration.730.png"); }
    .header-title-group { gap: 18px; }
    .header-group { gap: 16px; }
    .header-logo { width: 57px; height: 82px; background-image: url("images/layout/logo.82.png"); }
    .header-text { row-gap: 9px; }
    .header-text-item { font-size: 32px; line-height: 32px; }
    .header-subtitle { gap: 8px; }
    .header-subitem { font-size: 16px; line-height: 16px; }
}

@media (max-width: 630px) {
    .header-container { height: 175px; }
    .illustration-wrapper { width: 37.0%; }
    .header-wrapper { width: 63.0%; }
    .header-subwrapper, .header-illustration { width: 100%; }
    .header-illustration { background-image: url("images/layout/illustration.630.png"); }
    .header-title-group { gap: 16px; }
    .header-group { gap: 14px; }
    .header-logo { width: 50px; height: 73px; background-image: url("images/layout/logo.73.png"); }
    .header-text { row-gap: 6px; }
    .header-text-item { font-size: 30px; line-height: 30px; }
    .header-subtitle { gap: 6px; }
    .header-subitem { font-size: 16px; line-height: 16px; }
}


@media (max-width: 590px) {
    .header-subwrapper { display: flex; justify-content: flex-end; padding-right: 12px; }
}

@media (max-width: 555px) {
    .illustration-wrapper { width: calc(100vw - 350px); }
    .header-illustration { background-position-x: right; }
    .header-wrapper { width: 350px; }
}

@media (max-width: 460px) {
    .header-container { height: 165px; }
    .header-banner, .footer-banner  { background-image: none; }
    .header-group { gap: 22px; }
    .illustration-wrapper, .header-subitem-desktop { display: none; }
    .header-wrapper { width: 100%; }
    .header-subwrapper {  justify-content: center; padding-right: 0; }
}

@media (max-width: 390px) {
    .header-container { height: 142px; }
    .header-title-group { gap: 12px; }
    .header-text { row-gap: 4px; }
    .header-text-item { font-size: 26px; line-height: 26px; }
    .header-logo { width: 42px; height: 60px; margin-top: 0; background-image: url("images/layout/logo.60.png"); }
}

@media (max-width: 320px) {
    .header-logo {  display: none; }
    .header-container { height: 142px; }
    .header-group { gap: 14px; font-weight: normal; }
    .header-text { row-gap: 8px; }
    .header-text-item { text-align: center; }
    .header-logo { width: 42px; height: 60px; margin-top: 0; background-image: url("images/layout/logo.60.png"); }
    .header-subitem { white-space: wrap; }
}


/* footer */

.footer-container { display: flex; flex-flow: row wrap; gap: 12px 28px;  max-width: 1130px; margin: 0 auto; padding: 28px 34px; }
.footer-text-container { display: flex; flex-flow: row nowrap; width: fit-content; padding: 0; }

.footer-text { white-space: nowrap;  display: flex; flex-flow: row nowrap; padding: 0 10px 3px; }
.footer-text-separator { margin: 0; }

.footer-link-container { margin-left: auto; width: fit-content; display: flex; flex-flow: row nowrap; column-gap: 6px; }
.footer-link { color: black; padding: 0 10px 3px;  border-radius: 18px; white-space: nowrap; }
.footer-link:hover { background-color: #fff6; }

@media (max-width: 980px) {
    .footer-container { justify-content: center; }
    .footer-link-container { margin-left: 0;  }
}

@media (max-width: 590px) {
    .footer-container, .footer-text-container, .footer-link-container  { flex-direction: column; row-gap: 12px; align-items: center; }
    .footer-container { padding: 24px 6px; }
    .footer-text-container, .footer-link-container { row-gap: 4px;  }
    .footer-text-separator {  display: none; }
}